# $Revision: 1.35 $, $Date: 2007-11-06 10:10:46 $
Summary:	RCS - version control system
Summary(es.UTF-8):	RCS - sistema de control de versiones
Summary(de.UTF-8):	RCS - Versionssteuersystem
Summary(fr.UTF-8):	RCS - Système de contrôle de version
Summary(pl.UTF-8):	RCS - system kontroli wersji
Summary(pt_BR.UTF-8):	RCS - sistema de controle de versões
Summary(tr.UTF-8):	Sürüm denetleme sistemi
Name:		rcs
Version:	5.7
Release:	22
License:	GPL
Group:		Development/Version Control
Source0:	ftp://ftp.gnu.org/pub/gnu/rcs/%{name}-%{version}.tar.gz
# Source0-md5:	4c8e896f2d2446fa593c6f1601a4fb75
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ba094b833436afc14ac1679a78e50da5
Patch0:		%{name}-stupidrcs.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-security.patch
Patch3:		%{name}-debian.patch
URL:		http://www.cs.purdue.edu/homes/trinkle/RCS/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Revision Control System (RCS) manages multiple revisions of files.
RCS automates the storing, retrieval, logging, identification, and
merging of revisions. RCS is useful for text that is revised
frequently, for example programs, documentation, graphics, papers, and
form letters.

%description -l de.UTF-8
Das Revision Control Syste (RCS) verwaltet mehrere Dateirevisionen. Es
automatisiert das Abspeichern, das Einlesen, das Aufzeichnen, die
Erkennung und das Zusammenführen von Revisionen. RCS ist praktisch für
Texte, die häufig revidiert werden, etwa Programme, Dokumentation,
Graphiken, Artikel und Formulare.

%description -l es.UTF-8
Sistema de Control de Revisión (RCS) administra múltiples revisiones
de archivos. RCS automatiza el almacenamiento, recuperación, registro,
identificación y la fusión de revisiones. Es útil para textos se
revisan frecuentemente, como programas, documentación, gráficos y
formularios de cartas.

%description -l fr.UTF-8
Le système de contrôle de révision (RCS) gère les nombreuses révisions
des fichiers. RCS automatise le stockage, la récupération,
l'identification et le mélange des révisions. RCS sert aux textes
révisés fréquemment, par exemple les "programmes, la documentation,
les graphiques, les articles et les lettres.

%description -l pl.UTF-8
Revision Control System (RCS) - w wolnym tłumaczeniu system kontroli
wersji umożliwia zarządzanie wieloma wersjami plików. Za pomocą RCS
można w prosty sposób automatyzować składowanie, wyciąganie, logowanie
z archiwum jak i łączenie dokumentów różnych wersji. RCS jest wygodny
do zarządzania dokumentów często zmienianych jak kod źródłowy
programów, dokumentacja, grafika czy listy.

%description -l pt_BR.UTF-8
O Sistema de Controle de Revisão (RCS) administra múltiplas revisões
de arquivos. RCS automatiza o armazenamento, recuperação, registro,
identificação e a fusão de revisões. RCS é útil para texto que é
revisado freqüentemente, como programas, documentação, gráficos e
formulários de cartas.

%description -l tr.UTF-8
Sürüm denetim sistemi (Revision Control System - RCS) bir dosyanın
birden fazla sürümünü denetlemek için kullanılır. RCS dosya üzerindeki
değişikliklerin tutulmasını, saklanmasını, kayıtlarının tutulması
işlerini kolaylaştırır. Üzerinde sıkça değişiklik yapılan program
kodları, belgeler ve makaleler için son derece yararlı bir araçtır.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoconf}
%configure \
	--with-diffutils
touch src/conf.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/rcsfreeze.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS REFS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*
%lang(fi) %{_mandir}/fi/man[15]/*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rcs.spec,v $
Revision 1.35  2007-11-06 10:10:46  arekm
- fixes from debian; handle commitid keyword

Revision 1.34  2007/09/05 14:23:52  baggins
- rel 21

Revision 1.33  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.31  2004/08/19 11:25:47  undefine
- release 20

Revision 1.30  2003/12/14 21:57:59  twittner
- Release 19 for Ac. STBR.

Revision 1.29  2003/09/13 12:45:04  blues
- release 18

Revision 1.28  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.27  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:26:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.24  2002/11/29 22:46:16  ankry
- massive attack: new %%doc

Revision 1.23  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/19 22:21:32  ankry
- added fi, ja, pl man pages
- release 17

Revision 1.18  2001/08/30 05:11:09  kloczek
- release 16,
- merge RH security patch (tmp race fix),
- merge translations from CNV.

Revision 1.17  2000/10/01 07:33:15  kloczek
- release 14: use rpm new automation suit.

Revision 1.16  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.15  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.13  2000/04/06 14:30:44  mis
- typos

Revision 1.12  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.10  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 25 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [5.7-12]
- based on RH spec,
- spec rewrited by PLD team.
